### Method

# Eog Transform apply

#### Declaration [src]

    GdkPixbuf*
    eog_transform_apply (
      EogTransform* trans,
      GdkPixbuf* pixbuf,
      EogJob* job
    )

#### Description [src]

Applies the transformation in `trans` to `pixbuf`, setting its progress in `job`.

#### Parameters

`pixbuf`

  Type: `GdkPixbuf`

  A `GdkPixbuf`.

  The data is owned by the caller of the function.

`job`

  Type: `EogJob`

  A `EogJob`.

  The data is owned by the caller of the function.

#### Return value

Type: `GdkPixbuf`

A new `GdkPixbuf` with the transformation applied.

The caller of the method takes ownership of the data, and is responsible for freeing it.